struct Uniforms {
    camera: vec3f,
    darkness: f32
}
@group(0) @binding(0) var<uniform> uniforms : Uniforms;

struct VertexOutput {
    @location(0) color: vec4f,
    @builtin(position) pos: vec4f
}

@vertex
fn vs_main(
    @location(0) pos: vec3f,
    @location(1) color: vec4f
) -> VertexOutput {
    var out: VertexOutput;
    out.color = color;
    // out.color[3] -= uniforms.darkness;
    out.pos = vec4f(pos.xy-uniforms.camera.xy, pos.z, uniforms.camera.z);
    return out;
}

@fragment
fn fs_main(v: VertexOutput) -> @location(0) vec4f {
    return v.color;
}